<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00">Угадай число</font></b><br><br>';
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}

$lownumber = 0;         // Минимальное случайное число
$highnumber = 100;      // Максимальое случайное число
$popytka= 5;            // Число воможных попыток

if(isset($newgame)){
$hill = mt_rand($lownumber,$highnumber);
$_SESSION['hill'] = $hill;
$_SESSION['hi_count'] = 0;	
}

if(!isset($action)){

echo'<b>Введите число от '.(int)$lownumber.' до '.(int)$highnumber.'</b><br>
Попыток: 0<br>';

if($config_themes!=="wml"){
echo'<form action="hi.php?action=hi&amp;'.SID.'" method="post">
Ведите число:<br>
<input type="text" name="guess" /><br>
<input type="submit" value="Угадать" />
</form><hr>';
}else{

echo '<input name="guess"/><br>';
echo '<anchor title="go">Играть<go href="hi.php?action=hi&amp;'.SID.'" method="post">';
echo '<postfield name="guess" value="$(guess)\"/>';
echo '</go></anchor><br>'; }





echo'У вас в наличии монет: '.$udata[41].'<br>';
echo'<br><a href="hi.php?action=faq&amp;'.SID.'">Правила</a>';
}


if($action=="hi"){
if( $lownumber >= $highnumber ) {echo 'Неправильно настроен скрипт'; exit;}// если числа неправильные

if($udata[41]>0){
if(empty($_SESSION['hill'])){

$hill = mt_rand($lownumber,$highnumber);
$hi_count=0;
$_SESSION['hill'] = $hill;
$_SESSION['hi_count'] = $hi_count;

}

$_SESSION['hi_count']++;
$guess = htmlspecialchars(stripslashes(trim($guess)));


if($guess!=$_SESSION['hill']){

if($_SESSION['hi_count']<$popytka){

echo'<b>Введите число от '.(int)$lownumber.' до '.(int)$highnumber.'</b><br>
Попыток: '.(int)$_SESSION['hi_count'].'<br>';


if($guess>$_SESSION['hill']){echo (int)$guess.' -это большое число<br>Введите меньше';}
if($guess<$_SESSION['hill']){echo (int)$guess.' -это маленькое число<br>Введите больше';}

if($config_themes!=="wml"){
echo'<form action="hi.php?action=hi&amp;'.SID.'" method="POST">
Ведите число:<br>
<input type="text" name="guess"><br>
<input type="submit" value="Угадать">
</form>';}else{

echo '<br><input name="guess"/><br>';
echo '<anchor title="go">Играть<go href="hi.php?action=hi&amp;'.SID.'" method="post">';
echo '<postfield name="guess" value="$(guess)\"/>';
echo '</go></anchor><br>'; }


//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-5;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
$count_pop = $popytka - $_SESSION['hi_count'];
echo '<hr>У вас осталось попыток: '.(int)$count_pop.'<br>';
echo'У вас в наличии монет: '.(int)$udata[41].'<br>';
/////////////////////////





}else{echo 'Вы проигали потому что не отгадали число за '.(int)$popytka.' попыток<br>';
unset($_SESSION["hill"]);
unset($_SESSION["hi_count"]);
}  

}else{

//------------------------------ Запись в профиль ----------------------------//
$ufiles = file(BASEDIR."local/profil/$log.prof"); 
$udatas = explode(":||:",$ufiles[0]);

$udatas[41]=$udatas[41]+500;

for ($us=0; $us<$config_userprofkey; $us++){
$utexts.=$udatas[$us].':||:';}

if($udatas[0]!="" && $udatas[1]!="" && $udatas[4]!="" && $utexts!=""){
$fps=fopen("../local/profil/$log.prof","a+");    
flock($fps,LOCK_EX);           
ftruncate($fps,0);                                                                
fputs($fps,$utexts);
fflush($fps);
flock($fps,LOCK_UN);
fclose($fps);  
unset($utexts);
}

//////////////////////
echo 'Поздравляем!!! Вы угадали число '.(int)$guess.'<br>Ваш выигрыш составил 500 монеты'; 
unset($_SESSION["hill"]);
unset($_SESSION["hi_count"]);

}
}else{echo'Вы не можете играть т.к. на вашем счете недостаточно средств<br>';}
echo '<br><a href="hi.php?newgame&amp;'.SID.'">Начать заново</a>';
}

if($action=="faq"){
	
echo 'Для участия в игре напишите число и нажмите "Угадать", за каждую попытку у вас будут списывать по 5 монет<br>';	
echo 'После каждой попытки вам дают подсказку большое это число или маленькое<br>';	
echo 'Если вы не уложились за '.(int)$popytka.' попыток, то игра будет начата заново<br>';	
echo 'При выигрыше вы получаете на счет 500 монет<br>';
echo 'Итак дерзайте!<br>';
	
echo '<br><a href="hi.php?'.SID.'">В игру</a>'; 	
}
}else{echo'<br>Для того чтобы совершать операции вы должны быть авторизованы<br>';}

echo'<br><a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>